import * as React from 'react';

declare const CodeBlock: React.ForwardRefExoticComponent<React.HTMLAttributes<HTMLDivElement> & React.RefAttributes<HTMLDivElement>>;
declare const CodeBlockHeader: React.ForwardRefExoticComponent<React.HTMLAttributes<HTMLDivElement> & React.RefAttributes<HTMLDivElement>>;
declare const CodeBlockContent: React.ForwardRefExoticComponent<React.HTMLAttributes<HTMLPreElement> & React.RefAttributes<HTMLPreElement>>;

export { CodeBlock, CodeBlockContent, CodeBlockHeader };
